#-*- coding: utf-8 -*-

# Copyright 2010-2012 Calculate Ltd. http://www.calculate-linux.org
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0 #
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

#   mode -     read only or writeable variable
#   value    - default variable value
#   select   - list of posible values for variable
#   hide - flag, if it is True, then the variable is not printable
#   printval - print value of variable
from cl_install import __version__, __app__
from calculate.lib.cl_vars import Data as LibData
from calculate.lib.datavars import Variables
from calculate.lib.variables import System, Net, Env, X11
from calculate.install.variables import (InstallAction, InstallLocale,
                Distro,InstallKernel,InstallX11,InstallNet,
                InstallSystem,InstallLinux,InstallDisk)

class Data(InstallAction,InstallLocale,Distro,InstallKernel,
           InstallX11,InstallNet,InstallSystem,InstallLinux,
           InstallDisk,LibData):
    section = "install"

    vars = ["cl_name","cl_ver"]
    # program name
    cl_name = {'value':__app__}

    # program version
    cl_ver = {'value':__version__}
